using AyCode.Entities.Locations;
using AyCode.Interfaces.TimeStampInfo;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using TIAM.Resources;

namespace TIAMWebApp.Shared.Application.Models.ClientSide.UI.WizardModels
{
    public class ServiceProviderWizardModel
    {

        //[Required(ErrorMessage = "The Username value should be specified.")]
        [Required(ErrorMessage = "The name should be specified.")]
        [DataType(DataType.Text)]
        [Display(Name = ResourceKeys.ServiceProviderName, ResourceType = typeof(TIAMResources))]
        public string? Name { get; set; }

        

        public ServiceProviderWizardModel() { }
        public ServiceProviderWizardModel(string name) : this(Guid.NewGuid(), name) { }
        public ServiceProviderWizardModel(Guid id, string name) {
            Name = name;
        }               

    }    
}
